Edit quality campaign for Finnish Wikipedia
Closed, ResolvedPublic

Description

  • Confirm translations are ready
  • List of trusted user groups
  • Translate "Edit quality (20k sample)"
  • Run prelabeling script
  • Load revisions into labels.wmflabs.org
4shadoww created this task.Mar 31 2017, 4:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2017, 4:05 PM
4shadoww renamed this task from Edit quality campaign for finnish wikipedia to Edit quality campaign for Finnish Wikipedia.Mar 31 2017, 4:10 PM
Stryn added a subscriber: Stryn.Mar 31 2017, 5:15 PM
Zache added a subscriber: Zache.Mar 31 2017, 6:25 PM
Zache added a comment.Mar 31 2017, 6:48 PM

If we just want all trusted users in fiwiki then we can use these three groups: autoreview, editor and reviewer whose edits are automatically reviewed in. Flagged revs.

Halfak updated the task description. (Show Details)Apr 13 2017, 3:08 PM
Halfak added a subscriber: Halfak.

@Zache or @4shadoww, Can you provide a Finnish translation of "Edit quality (20k sample)"? We'll use this as the title of the edit quality labeling campaign.

Once we have that, we'll work to get the campaign deployed.

Halfak triaged this task as Normal priority.Apr 13 2017, 3:09 PM
Halfak moved this task from Backlog to Community engagement on the Scoring-platform-team board.

Translation of "Edit quality (20k sample)" would be "Muokkauksen laatu (20k otos)".

4shadoww updated the task description. (Show Details)Apr 14 2017, 2:11 PM
Halfak updated the task description. (Show Details)Apr 14 2017, 3:31 PM
(3.4)halfak@ores-compute-01:~/projects/editquality$ cat datasets/fiwiki.autolabeled_revisions.20k_2016.json | json2tsv reverted_for_damage | sort | uniq -c 
  18919 False
   1072 True
(3.4)halfak@ores-compute-01:~/projects/editquality$ cat datasets/fiwiki.autolabeled_revisions.20k_2016.json | json2tsv autolabel.needs_review | sort | uniq -c 
  14449 False
   5542 True

It looks like we'll be labeling 5542 revisions. A very large amount of revisions (over 1k) look like they were reverted for damage (best guess), so that's a good sign that there'll be a high rate (1/5 maybe) of damaging edits in the labeling set. This'll provide good training material for ORES.

I should have the campaign loaded up soon.

Halfak claimed this task.Apr 14 2017, 4:08 PM
Halfak updated the task description. (Show Details)

Forgot to paste my actions here:

halfak@wikilabels-01:~/datasets$ sudo -u www-data /srv/wikilabels/venv/bin/wikilabels new_campaign fiwiki "Muokkauksen laatu (20k otos)" damaging_and_goodfaith DiffToPrevious 1 50 --config /srv/wikilabels/config/config/
{'view': 'DiffToPrevious', 'tasks_per_assignment': 50, 'id': 55, 'form': 'damaging_and_goodfaith', 'created': datetime.datetime(2017, 4, 14, 16, 5, 19, 944666), 'labels_per_task': 1, 'name': 'Muokkauksen laatu (20k otos)', 'active': True, 'wiki': 'fiwiki'}
halfak@wikilabels-01:~/datasets$ cat fiwiki.autolabeled_revisions.20k_2016.json | grep '"needs_review": true' | wc # | sudo -u www-data /srv/wikilabels/venv/bin/wikilabels task_inserts --config /srv/wikilabels/config/config/ 55
   5542   51741  638731
halfak@wikilabels-01:~/datasets$ cat fiwiki.autolabeled_revisions.20k_2016.json | grep '"needs_review": true' | sudo -u www-data /srv/wikilabels/venv/bin/wikilabels task_inserts --config /srv/wikilabels/config/config/ 55
Halfak closed this task as Resolved.Apr 14 2017, 5:41 PM